
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}

body {
    line-height: 1;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

body {
    font-family: Arial, Helvetica, sans-serif;
}

input:-webkit-autofill, select:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px white inset !important;
}

input {
    outline-color: invert;
    outline-style: none;
    outline-width: 0px;
    border: none;
    border-style: none;
    text-shadow: none;
    /*-webkit-appearance: none ;*/
    -webkit-user-select: text;
    outline-color: transparent;
    box-shadow: none;
}

.wrap {
    width: 100%;
    max-width: 560px;
    background: #fbfbfb;
    margin: 0 auto;
    height: 100vh;
}

.wrap .banner {
    text-align: center;
    width: 100%;
    max-width: 560px;
    margin: 0 auto;
}

.wrap .banner img {
    width: -webkit-fill-available;
}

.wrap .login-information {
    width: 80%;
    max-width: 560px;
    height: auto;
    /* background-color: rgba(84, 148, 95,0.2); */
    margin: 20px auto 0px auto;
    /* overflow: hidden; */
}

.wrap .login-information .group-login {
    /* background-color: red; */
    width: 100%;

}

.wrap .login-information .group-login input {
    display: block;
    width: 100%;
    height: 49px;
    box-sizing: border-box;
    border-radius: 25px;
    border: 2px solid #BCE0FD;
    text-indent: 25px;
    font-size: 18px;
    color: #2699FB;
}

.wrap .login-information .group-login input:focus {
    outline: none;
}

.wrap .login-information .group-login input:nth-child(2) {
    margin: 20px 0px;
}

input::-webkit-input-placeholder {
    display: inline-block;
    color: #2699FB;
    font-size: 16px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    line-height: normal;
    /* background-color: blueviolet; */
    position: relative;
    top: 0px;
}

:-moz-placeholder {
    display: inline-block;
    color: #2699FB;
    font-size: 16px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    line-height: normal;
    /* background-color: blueviolet; */
    position: relative;
    top: 0px;
}

::-moz-placeholder {
    display: inline-block;
    color: #2699FB;
    font-size: 16px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    line-height: normal;
    /* background-color: blueviolet; */
    position: relative;
    top: 0px;
}

input:-ms-input-placeholder {
    display: inline-block;
    color: #2699FB;
    font-size: 16px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    line-height: normal;
    margin-top: 10px;
    background-color: blueviolet;
}

.wrap .login-information .group-login .btn {
    width: 100%;
    border: none;
    height: 50px;
    border-radius: 25px;
    background-color: #399DF2;
    font-size: 16px;
    color: #ffffff;
    font-family: Arial, Helvetica, sans-serif;
    box-shadow: 0px 15px 20px 6px rgb(204, 204, 204, .5);
}

.wrap .login-information .group-login .btn:focus {
    outline: none;
}

/* 文字描敘部分 */
.wrap .login-information .group-text {
    width: 100%;
    max-width: 560px;
    height: 65px;
    /* background-color: burlywood; */
    margin: 100px auto;
    text-align: center;
}

.wrap .login-information .group-text h3 {
    color: #EF760E;
    font-size: 14px;
    /* background-color: chartreuse; */
    line-height: 14px;
    padding: 10px 0;
}

.wrap .login-information .group-text img {
    color: #EF760E;
    text-align: center;
    /* background-color: rgb(47, 0, 255); */
    padding: 10px 0;
    width: 30px;
}

.wrap .login-information .group-text h4 {
    color: #ACACAC;
    font-size: 14px;
    /* background-color: chartreuse; */
    line-height: 14px;
    padding: 10px 0px 0px 0px;
}


/* 微信授權 短信驗證碼 */
.wrap .login-information .group-button {
    /* background-color: red; */
    width: 100%;
    margin-top: 5px;
    display: inline-block;
}

.wrap .login-information .group-button .btn {
    width: 45%;
    height: 40px;
    border-radius: 25px;
    font-weight: bold;
    box-sizing: border-box;
    font-size: 16px;
    vertical-align: middle;
    text-align: center;
    background-color: #ffffff;
}

.authentication .left {
    float: left;
}

.authentication .right {
    float: right;
}

.wrap .login-information .group-button .btn:focus {
    outline: none;
}

.wrap .login-information .group-button .icon-btn-adjust {
    /* background-color: blueviolet; */
    display: inline-block;
    margin: 0 auto;
}

.wrap .login-information .group-button .btn p {
    margin: auto;
    /* background-color: brown; */
    position: relative;
    /* padding: 5px 0px;     */
}

.wrap .login-information .group-button .btn.wechat-auth p {
    width: 90px;
    margin-left: 0%;
    padding-left: 20px;
    box-sizing: border-box;
}

.wrap .login-information .group-button .btn.wechat-auth {
    border: 2px solid #0C9641;
    color: #0C9641;
}

.wrap .login-information .group-button .btn.wechat-auth p::before {
    content: "";
    display: inline-block;
    background: url("../img/img_wechat.svg") center center no-repeat;
    width: 20px;
    height: 120%;
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    margin: auto;
}

.wrap .login-information .group-button .btn.sms-code p {
    width: 104px;
    padding-left: 20px;
    box-sizing: border-box;
}

.wrap .login-information .group-button .btn.sms-code {
    border: 2px solid #2699FB;
    color: #2699FB;
}

.wrap .login-information .group-button .btn.sms-code p::before {
    content: "";
    display: inline-block;
    /* background-color: blueviolet; */
    background: url("../img/img_mobile.svg");
    background-size: 20px 20px;
    background-repeat: no-repeat;
    background-position: center center;
    width: 20px;
    height: 100%;
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    margin: auto;
}

@media screen and (max-width: 280px) {

    .wrap .login-information .group-button .btn {
        font-size: 14px;
    }

    .wrap .login-information .group-button .btn p {
        margin: auto;
        /* background-color: brown; */
        position: relative;
    }

    .wrap .login-information .group-button .btn.wechat-auth p {
        width: 80px;
        margin-left: 0%;
        padding-left: 20px;
        box-sizing: border-box;
    }

    .wrap .login-information .group-button .btn.wechat-auth {
        border: 2px solid #0C9641;
        color: #0C9641;
    }

    .wrap .login-information .group-button .btn.sms-code p {
        width: 90px;
        padding-left: 20px;
        box-sizing: border-box;
    }

}


/* 頁尾部分 */
.wrap .footer {
    text-align: center;
    width: 100%;
    max-width: 560px;
    margin: 0 auto;
}

.agree {
    margin: 15px 0 30px 0;
    line-height: 30px;
}

.agree input {
    width: 20px !important;
    height: 20px !important;;
    border: 2px solid #399DF2 !important;;
    vertical-align: top !important;
    display: unset !important;
}

.agree span {
    color: #399DF2;
}

.swal2-html-container {
    margin-left: 5px !important;
    margin-right: 5px !important;
    font-size: 16px !important;
    text-align: left !important;
    max-height: 350px !important;
}

.codemen {
    float: left;
    position: absolute;
    width: 80%;
    z-index: 10;
    margin-top: 10px;
}

#msg {
    border: 2px solid #dcdcdc;
    width: 40%;
    float: right;
    margin: 22px 0 20px 0;
    height: 45px;
    line-height: 41px;
    background: #dcdcdc;
    z-index: 1250;
    top: 2px;
    right: 2px;
    text-align: center;
    border-radius: 25px;
}

#code {
    width: 58%;
    display: initial;
    margin: 20px 0px;
}

.factory-id input {
    width: 20px !important;
    height: 20px !important;;
    border: 2px solid #399DF2 !important;;
    vertical-align: top !important;
    display: unset !important;
}

.factory-id label {
    vertical-align: bottom;
}

.login-box-select {
    height: 35px;
    margin-bottom: 30px;
    border-radius: 25px;
    box-shadow: 0 5px 5px 0 rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
}
.login-box-select .active {
    background: #BCE0FD; border-radius: 25px;
}
.login-box-select .left {
    line-height: 35px;float: left; text-align: center; width: 50%
}
.login-box-select .right {
    line-height: 35px;float: right; text-align: center; width: 50%
}
.login-box-select a{
    color: #000;
    text-decoration: none;
}

.text-center {text-align: center;}
/* 方法 1.1：Flexbox 容器 */
.parent {
    display: flex;
    align-items: center; /* 垂直居中 */
    justify-content: center; /* 水平居中 */
    height: 100vh; /* 必须有高度 */
}

/* 方法 1.2：Flexbox + margin auto */
.parent {
    display: flex;
    height: 100vh;
}
.child {
    margin: auto; /* 自动居中对齐 */
}

/* 方法 1.3：Flexbox 单个项目居中 */
.parent {
    display: flex;
    height: 100vh;
}
.child {
    align-self: center; /* 单个项目垂直居中 */
}

.show-loading{
    display: block;
}
.hide-loading{
    display: none;
}
.show-alert-error{
    display: block;
}
.hide-alert-error{
    display: none;
}
